import { Lock } from '@jfrog-pipelines/data-access-layer';
export declare type LockCreateAttributes = {
    lockTimeoutInMs?: number;
    name: string;
};
export declare const LockTimeoutInMs: number;
export declare const LockTimerIntervalInMs: number;
export declare class LockService {
    private systemInstanceID;
    private logger;
    private lockDao;
    constructor(systemInstanceID: number);
    obtainLock(attr: LockCreateAttributes): Promise<Lock | undefined>;
    releaseLock(lockName: string): Promise<void>;
    private isAlreadyLocked;
    private findByName;
    private delete;
    private setLockTimeoutAtInterval;
    private updateLockTimeout;
}
